- name: Download background file
  copy:
    src: "{{ zoox_machine_name }}.jpg"
    dest: "{{ asset_root_directory }}/home/zoox/Pictures/desktop.jpg"
    owner: "{{ zoox_uid }}"
    group: "{{ zoox_gid }}"

- name: Set up link to background file
  file:
    path: "{{ asset_root_directory }}/usr/share/backgrounds/{{ item }}"
    src: "/home/zoox/Pictures/desktop.jpg"
    state: link
    force: yes
    follow: no
  with_items:
    - warty-final-ubuntu.png
    # For compatibility with previous imaging v2 images
    - background.jpg
  become: yes
